%define oname TuxWordSmith
%define name  tuxwordsmith
%define pythonlibs %{_libdir}/python%pyver/site-packages/%{oname}/
%define version 0.7.13
%define release %mkrel 2

Summary: A word version of the popular board game for ages 4-40
Name:    %{name}
Version: %{version}
Release: %{release}
URL:     http://new.asymptopia.org/staticpages/index.php/TuxWordSmith
Source0: %name-%version.tar.xz
Patch0: %{name}-path.patch
License: GPL
Group:   Games/Boards
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpygame1.8-devel
BuildRequires: libwxPythonGTK2.8-devel
Requires:  pygame
Requires:  wxPythonGTK
Distribution: %{distribution}
Packager: %{packager}

%description
TuxWordSmith is a foreign language learning game with support for over 30 languages:
English,Hindi,Italian,French,German,Swahili,Swedish,Spanish,Kurdish,Latin,Russian.
The game is similar to the familiar Scrabble, and looks suspiciously like TuxMathScrabble.

%prep

%setup -q -n %{name}-%{version}
%patch -p0

%build

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p %{buildroot}%{_gamesbindir}/%{oname}
%__cp -r Font %{buildroot}%{_gamesbindir}/%{oname}/
%__cp -r xdxf %{buildroot}%{_gamesbindir}/%{oname}/
%__chmod -R 777 %{buildroot}%{_gamesbindir}/%{oname}

%__mkdir_p %{buildroot}%{_datadir}/icons
%__cp tws.ico %{buildroot}%{_datadir}/icons/tws.ico

%__mkdir_p %{buildroot}%{pythonlibs}
%__cp -r %oname/* %{buildroot}%{pythonlibs}
%__chmod -R 755 %{buildroot}%{pythonlibs}

%__mkdir_p %{buildroot}/var/games/%{oname}/
%__cp -r .tws_config_master %{buildroot}/var/games/%{oname}/
%__chmod -R 755 %{buildroot}/var/games/%{oname}

%__mkdir_p %{buildroot}%{_bindir}
%__cp %{name}.py %{buildroot}%{_bindir}/%{name}.py
%__chmod +x %{buildroot}%{_bindir}/%{name}.py

%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=Fun game to learn language
Exec=%{_bindir}/%{name}.py
Icon=/usr/share/icons/tws.ico
Terminal=false
Type=Application
Categories=Game;BoardGame;X-MandrivaLinux-MoreApplications-Games-Boards;
EOF

#find $RPM_BUILD_ROOT -name .xvpics | xargs rm -Rf 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%update_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}.py
%{_gamesbindir}/%{oname}/*
%{_datadir}/icons/tws.ico
%{pythonlibs}/*
/var/games/%{oname}/.tws_config_master
%{_datadir}/applications/%{name}.desktop 

%changelog
* Sun Feb 13 2011 Aradalf <aradalf at rocketmail dot com> 0.7.13-2pclos2010
- Fixed error caused by no .tws_config_master, fixed paths, and added new icon

* Sat Jan 29 2011 Aradalf <aradalf at rocketmail dot com> 0.7.13-1pclos2010
- Update

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.6.7-2pclos2010
- Update

* Tue Dec 9 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 0.6.7-1pclos2007
- updated to latest version
- rebuilt against new python

* Sat Jan 12 2008 Cindy Solis 0.6.0-rc4-1pclos2007
- Rebuild for PCLinuxOS
- add icon to menu (texstar)
- remove epoch not needed (texstar)
- fix menu category (texstar)


 
